flexml (1.9.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure sane minimum permissions to avoid FTBFS without root.
    (Closes: #1092424)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 20:39:55 +0000

flexml (1.9.6-5) unstable; urgency=medium

  * Do not produce code with sprintf (security vulnerability).
  * d/ctrl: Update the standard-version to 3.9.8 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Wed, 01 Jun 2016 11:36:26 +0200

flexml (1.9.6-4) unstable; urgency=medium

  * Rework how the output is sorted, so that it still compiles SimGrid.
  * d/p/FTBFS-pedantic: remove -ansi -pedantic flag as Flex parsers
    don't compile with these flags on modern compilers (Closes: #813462).

 -- Martin Quinson <mquinson@debian.org>  Mon, 08 Feb 2016 17:16:45 +0100

flexml (1.9.6-3) unstable; urgency=medium

  * Produce reproducible files by explicitly sorting the elements.
    This greatly reduces the diffs' size when regenerating the files.
  * d/control: Update Standards-Version to 3.9.6 (no change needed).

 -- Martin Quinson <mquinson@debian.org>  Mon, 26 Jan 2015 15:20:17 +0100

flexml (1.9.6-2) unstable; urgency=medium

  * d/ctrl: Update the standard-version to 3.9.6 (no change needed)
  * d/p/privacy_breach: don't fetch any logo dynamically from SF as it
    may be seen (e.g., by Lintian) as a privacy breach.

 -- Martin Quinson <mquinson@debian.org>  Thu, 20 Nov 2014 08:47:44 +0100

flexml (1.9.6-1) unstable; urgency=low

  * New upstream release:
    Don't install any file under /usr/share/doc/flexml/flexml/* 
    Thanks lintian for noticing, and sorry for the short lived v1.9.5.

 -- Martin Quinson <mquinson@debian.org>  Tue, 29 Jan 2013 16:12:03 +0100

flexml (1.9.5-1) UNRELEASED; urgency=low

  * New upstream release.
    - flexml --version now returns the package version (instead of the
      file release in upstream RCS).
  * debian/control: Use canonical values in fields VCS (thanks lintian)

 -- Martin Quinson <mquinson@debian.org>  Tue, 29 Jan 2013 15:37:08 +0100

flexml (1.9.4-2) unstable; urgency=low

  * Update Standards-Version to 3.9.4 (no change)
  * Switch to debhelper compatibility level 9
    This brings neat hardening features that lintian were asking for

 -- Martin Quinson <mquinson@debian.org>  Thu, 27 Dec 2012 21:21:37 +0100

flexml (1.9.4-1) unstable; urgency=low

  * New upstream release:
    - avoid ambiguous C identifiers even if XML names contain
      underscores [Thx Arnaud Giersch for report and patch]

 -- Martin Quinson <mquinson@debian.org>  Thu, 20 Dec 2012 01:26:05 +0100

flexml (1.9.3-1) unstable; urgency=low

  * New upstream release:
    - Avoid undefined behaviors breaking clang's optimizations
      [Thx Arnaud Giersch for the BR and patch] (Closes: #674524)

 -- Martin Quinson <mquinson@debian.org>  Thu, 05 Jul 2012 16:36:02 +0200

flexml (1.9.2-1) unstable; urgency=low

  * New upstream release:
    - Declare *_isset variables properly, even when they are in a header
      [Thx Arnaud Giersch for the BR and patch] Closes: #647605)
  * debian/control: 
    - add VCS fields, and improve short description
    - update Standard-Version to 3.9.2 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Fri, 04 Nov 2011 14:56:17 +0100

flexml (1.9.1-1) unstable; urgency=low

  * New upstream release:
    - include small changes from the debian package
    - Add a NEWS and a ChangeLog file

 -- Martin Quinson <mquinson@debian.org>  Sun, 30 Oct 2011 22:12:15 +0100

flexml (1.9-1) unstable; urgency=low

  * New upstream release:
    - be more defensive against multiply defined attributes

 -- Martin Quinson <mquinson@debian.org>  Sun, 30 Oct 2011 18:47:09 +0100

flexml (1.8-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/control
    - Update to debhelper 7.1.
  * debian/rules
    - Add target 'get-changelog'.
  * debian/source/format
    - New file; fix Lintian missing-debian-source-format.
  * debian/watch
    - New file; fix Lintian debian-watch-file-is-missing.
  * flexml.pl
    - Fix spelling error (Lintian).
  * ChangeLog
    - New file. Downloaded from development site.

  [ Jan Hauke Rahm ]
  * Updating the flexml Uploaders list (Closes: #521446)
  * Change doc-base section to "Programming"
  * Add examples directory
  * Add Homepage field
  * Slight modification of debian/copyright to be more precise
  * Switch to debhelper 7 and by that
    + acknowledge DEB_BUILD_OPTIONS
    + use doc-base trigger instead of generating debian/post*
  * As a consequence, bump standards-version to 3.8.4

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 May 2010 16:17:39 +0300

flexml (1.8-1) unstable; urgency=low

  * Do not load unistd on windows platforms since this does not exist
  * Improve the error message when receiving an opening tag instead of
    the expected closing tag. This happens at least when the DTD
    enforces the tag order and this order is not followed.

 -- Martin Quinson <mquinson@debian.org>  Thu, 11 Oct 2007 11:55:58 +0200

flexml (1.7-1) unstable; urgency=low

  [William Dowling]
  * Change the static buffstack into two dynamically allocated stacks.
    This get rids of any stack size limitation;
    This also solves #1529930 (parsing mixed content fails on sparc/solaris,
    which were caused by misaligned pointers)
  * Fix #1538171: Only display the stacknames when they are defined (they
    are not in the prolog)
  * Fix a bufferstack memleak. This fixes both leaks of attributes and leaks
    of pcdata. People using large XML files shouldn't have to use insane
    buffsizes anymore.
  * Fix bug #1558023 'REQUIRED attributes not validated correctly'.
  * Add -i command-line param to #include given file in output .l.
  * Add a proper regression testing infrastructure and some test cases.

 -- Martin Quinson <mquinson@debian.org>  Sat, 16 Sep 2006 00:44:05 +0200

flexml (1.5.3-1) unstable; urgency=low

  * New option: --sysid to override the system id
  * Kill any non ascii char from the distrib. They were latin1, I use utf8
    so they annoyed me for not much benefit. I could have switched to utf8,
    but it would have annoyed other people, I'm sure.
  * Kill the EnlargeFlex.patch: was integrated into flex a few ages ago.

 -- Martin Quinson <mquinson@debian.org>  Tue, 18 Jul 2006 19:40:36 +0200

flexml (1.5.2-1) unstable; urgency=low

  * Bug fix: do find the skeleton file in installed distributions

 -- Martin Quinson <mquinson@debian.org>  Tue, 18 Jul 2006 14:06:50 +0200

flexml (1.5.1-1) unstable; urgency=low

  * Tests used to rely on wget to fetch a dtd. Include this in the tarball
    instead.

 -- Martin Quinson <mquinson@debian.org>  Thu, 13 Jul 2006 21:47:45 +0200

flexml (1.5-1) unstable; urgency=low

  [William Dowling]
  * Fix bug 1498401 "Parser loops on empty entity expansion" (l. 251);
  * Fix bug 1498407 "Cannot have ELEMENT with same name as ATTLIST" (ll. 674-5);
  * Fix bug 1498418 "ENTITY attribute type unimplemented." (ll. 842-51).

  [Martin Quinson]
  (upstream)
  * Switch to Getopt::Long (I hope I didn't break anything)
  * Add long version of each command line option
  * Allow to override the scanner, header, application names using an
    optionnal argument along to -S -H -A options.
  (debian package)
  * Switch to debhelper level 5 (at least try to, change seem to be ignored)
  * Run the test suite in the process of package building

 -- Martin Quinson <mquinson@debian.org>  Thu, 13 Jul 2006 20:27:50 +0200

flexml (1.4.1-1) unstable; urgency=low

  * More fixes to get several parsers in the same C code:
    - pass bufferstack to static too
    - prefix the pcdata variable (WARNING: go fix your code using it)
    This seems to be needed with gcc 4.x

 -- Martin Quinson <mquinson@debian.org>  Sat, 22 Apr 2006 01:29:23 +0200

flexml (1.4-1) unstable; urgency=low

  [Arnaud Legrand]
  * Add a -P option to enable multiple versions of flexml to live in the
    same C code.
  * Make flexml work with the current flex (2.5.33) that seem to dislike
    ]] in the comments. Bug against flex underway.

  [Martin Quinson]
  * Do test the version in the current dir, not the installed one.
  * Normalize the distributed archive name and content layout.

 -- Martin Quinson <mquinson@debian.org>  Tue, 21 Mar 2006 14:03:16 +0100

flexml (1.3-1) unstable; urgency=low

  [William Dowling]
  (infrastructure)
  * Enhance main makefile to allow versionned installs
  * Various cleanups to the makefiles
  * Get a working "make test" (some of the tests themselves are still to be
    fixed)
  (generated parsers)
  * Don't allocate the statenames array over and over (plug memleak)
  * Try not to exaust the stack when possible

  [Ulrik Petersen]
  * Fix statenames array on terminaison (plug memleak)

  [Martin Quinson]
  (flexml.pl script)
  * Get paranoid on file open()/close().
  (infrastructure)
  * Let FleXML.html be valid XHTML1.1 (so that it can be used in tests)
  * Install the paper as documentation
  (debian package)
  * Fix the doc-base file (Closes: #303220).

 -- Martin Quinson <mquinson@debian.org>  Wed,  6 Apr 2005 12:27:04 +0200

flexml (1.2-2) unstable; urgency=low

  * drop conflict on flex-old since oldies are harmless here.

 -- Martin Quinson <mquinson@debian.org>  Wed, 23 Feb 2005 22:04:14 +0100

flexml (1.2-1) unstable; urgency=low

  [Martin Quinson]
  * Add a \n after the error messages when not using quiet_parsers
  * Clarify the licence of the produced parsers. Thanks to Ulrik Petersen
    for proposing the patch, and to Kristoffer H Rose for forwarding it.

  [Arnaud Legrand]
  * Add a -b option to modify the default FLEXML_BUFFERSTACKSIZE.
    That is useful when you get an error like "Assertion next<limit' failed".

 -- Martin Quinson <mquinson@debian.org>  Sun, 13 Feb 2005 19:23:45 +0100

flexml (1.1-1) unstable; urgency=low

  The "back to life" version (hopefully).

  [Arnaud Legrand]
  * Fix a few bugs and make gcc happy.
  * Make flexml work with the current flex (closes: #192692, #192243).
  * Change the build-dep to flex and make lintian happy.

  [William Dowling]
  * Handle ']' at end of CDATA like: <![CDATA[val xxx]]]>;
  * Do not print to stderr: add primitive error message facility;
    [requests the user to pool for error messages with parse_err_msg()]
  * Allow multiple calls/multiple returns, so flexml-generated parsers
    can parse document sequences (>1 document in a stream);
  * Allow failure from all states (<*>) so flex scanner jammed does
    not occur.
  * Avoid using "new" as identifier since it breaks C++

  [Martin Quinson]
  (upstream)
  * Let the user decide whether they want to keep the parser quiet and use
    the second feature introduced by William above (flag -q), or if they
    want to stick to the old behaviour (by default).
  * Let the dist target work (and don't add the debian/ dir since flexml
    should't be a native package)
  * Do not include the header if it wasn't generated (Closes: #62172)
  (debian package)
  * Put myself as maintainer. Thanks and kudos to Kristoffer for his work on
    this neat tool.
  * Switch from the deprecated dh_installmanpages to dh_installman
  * Conflict with flex-old now that Arnaud fixed the issues
  * Build-dep on flex
  * Remove EnlargeFlex.patch from the debian package since this is
    integrated in the stable version of flex (!)
  * recognize the encoding attribute of the XML tag (Closes: #62171)

 -- Martin Quinson <mquinson@debian.org>  Thu, 10 Feb 2005 12:17:40 +0100

flexml (1-6.1) unstable; urgency=low

  * Non-maintainer upload
  * Change the build-dep to flex-old 

 -- Pierre Machard <pmachard@debian.org>  Wed, 25 Jun 2003 10:25:24 +0200

flexml (1-6) unstable; urgency=low

  * Debian package synchronized with flexml.sourceforge.net.
  * Source dependencies added [thanks to ].

 -- Kristoffer Rose <krisrose@debian.org>  Tue, 11 Feb 2003 14:11:19 -0500

flexml (1-5) unstable; urgency=low

  * doc-base fixed (and bogus menu removed).
  * HTML documentation cleaned up.

 -- Kristoffer H. Rose <krisrose@debian.org>  Mon, 13 Dec 1999 17:00:32 +0100

flexml (1-4) unstable; urgency=low

  * Oops: install in skel, not skel/skel [sic].

 -- Kristoffer H. Rose <krisrose@debian.org>  Thu,  9 Dec 1999 17:45:23 +0100

flexml (1-3) unstable; urgency=low

  * Added perl -w option and eliminated all encountered warnings.
  * Use LWP to DTDs and external entities specified by URI.

 -- Kristoffer Rose <krisrose@debian.org>  Thu,  9 Dec 1999 04:37:26 +0100

flexml (1-2) unstable; urgency=low

  * Fixed version oops.
  * DTD parser and state transition tables cleaned up somewhat.
  * Can now correctly generate the `xhtml-href' application.

 -- Kristoffer H. Rose <krisrose@debian.org>  Mon,  6 Dec 1999 22:06:43 +0100

flexml (1-1) unstable; urgency=low

  * Manual page and program fully in sync.
  * Introductory document added.
  * Application-generation tested some.
  * flexml.skel renamed to skel [sic].
  * Several printf formats fixed.
  * Optimizations to avoid scanner backup on valid documents.
  * Further development...

 -- Kristoffer H. Rose <krisrose@debian.org>  Thu, 25 Nov 1999 19:38:29 +0100

flexml (1-0) unstable; urgency=low

  * Initial Release.

 -- Kristoffer H. Rose <krisrose@debian.org>  Tue, 23 Nov 1999 11:41:52 +0100
